- HTTP request
- Path parameters
- Query parameters
- Request body
- Response body
- Authorization scopes
- IAM Permissions
Full name: projects.locations.instances.queryMetrics.list
Lists QueryMetrics for the instance.
HTTP request
GET https://{endpoint}/v1alpha/{parent}/queryMetrics
Where {endpoint} is one of the supported service endpoints.
Path parameters
| Parameters | |
|---|---|
parent |
Required. The parent instance resource name. Format: projects/{project}/locations/{location}/instances/{instance} |
Query parameters
| Parameters | |
|---|---|
pageSize |
Optional. The maximum number of query metrics to return. The service may return fewer. If unspecified, at most 1000 results will be returned. The maximum value is 10000. |
pageToken |
Optional. A page token, received from a previous |
orderBy |
Optional. Sort order of the results. The default sort order is ascending. To specify descending order for a field, append a " desc" suffix. Supports: - queryStartTime - searchMetrics.query_execution_latency_ms Example: "queryStartTime desc" |
filter |
Optional. Supports filtering based on: - queryStartTime Example: queryStartTime >= "2026-06-25T00:00:00Z" AND queryStartTime < "2026-06-26T00:00:00Z" |
Request body
The request body must be empty.
Response body
Response message for queryMetrics.list.
If successful, the response body contains data with the following structure:
| JSON representation |
|---|
{
"queryMetrics": [
{
object ( |
| Fields | |
|---|---|
queryMetrics[] |
The list of query metrics. |
nextPageToken |
Token to retrieve the next page of results, or empty if there are no more results in the list. |
Authorization scopes
Requires one of the following OAuth scopes:
https://www.googleapis.com/auth/cloud-platformhttps://www.googleapis.com/auth/chroniclehttps://www.googleapis.com/auth/chronicle.readonly
For more information, see the Authentication Overview.
IAM Permissions
Requires the following IAM permission on the parent resource:
chronicle.queryMetrics.list
For more information, see the IAM documentation.